

LineObj
	parent_type = /obj

	var
		Actor/Lure/parent

		Actor/Guy/guy

		vector/TargetPosition = new(0,0,0)
		vector/LurePosition = new(0,0,0)

	mouse_opacity = 0

	icon = 'Line.dmi'

	updateStep()
		if(!parent || !guy) del src

		layer = parent.layer + 0.5

		//compute new vector

		LurePosition.x = parent.x * world.icon_size + parent.step_x + parent.bound_x + parent.bound_width/2
		LurePosition.y = parent.y * world.icon_size + parent.step_y + parent.bound_y + parent.bound_height - 2

		if(gameTime < player.flickTime)
			TargetPosition.x = guy.x * world.icon_size + guy.step_x + 43
			TargetPosition.y = guy.y * world.icon_size + guy.step_y + 69
		else
			TargetPosition.x = guy.x * world.icon_size + guy.step_x + 5
			TargetPosition.y = guy.y * world.icon_size + guy.step_y + 35

		var/vector/delta = TargetPosition.subtract(LurePosition)
		if(abs(delta.y) > 256)
			var/rescale = 256 / abs(delta.y)
			delta = delta.multiply(rescale)

		loc = parent.loc
		step_x = parent.step_x
		step_y = parent.step_y

		var/matrix/M = new()
		M.Translate(8, 8)
		M.Scale(1, delta.vectorLength() / 16)
		M.Turn(arctan2(delta.y, delta.x))
		//M.Translate(-8,-8)

		src.transform = M