

proc
	arctan(x)
		return arcsin(x/sqrt(1+x*x))

	arctan2(x,y)
		if(x > 0) return arctan(y/x)

		if(x < 0)
			if(y >= 0) return 180 + arctan(y/x)
			if(y < 0) return arctan(y/x) - 180

		if(y < 0) return -90
		if(y > 0) return 90
		return 0

	pixelDistanceSquared(atom/movable/A, atom/movable/B)
		var/dx = B.x - A.x
		var/dy = B.y - A.y

		dx *= world.icon_size
		dy *= world.icon_size

		if(istype(A))
			dx -= A.step_x
			dy -= A.step_y

		if(istype(B))
			dx += B.step_x
			dy += B.step_y

		return (dx*dx+dy*dy)

	pixelDistance(atom/movable/A, atom/movable/B)
		return sqrt(pixelDistanceSquared(A, B))

matrix
	proc/Shear(yOnX = 0, xOnY = 0)
		src *= matrix(1, yOnX, 0, xOnY, 1, 0)
		return src