

client
	var/Actor/Camera/camera

Actor/Camera
	density = 0
	invisibility = 101


	var
		atom/movable/target
		client/parent

		tweenSpeed = 0.75
		tweenThreshhold = 0.5


		minX = 168
		minY = 200
		maxX = 168
		maxY = 600


	New(client/client, atom/movable/A)
		target = A

		loc = A.loc

		step_x = A.step_x + A.bound_x + A.bound_width/2
		step_y = A.step_y + A.bound_y + A.bound_height/2


		parent = client

		parent.eye = src
		parent.camera = src
		parent.perspective = EYE_PERSPECTIVE

	updateStep()
		if(!target) return
		if(!parent) return

		if(z != target.z)
			z = target.z

			loc = target.loc
			step_x = target.step_x + target.bound_x + target.bound_width/2
			step_y = target.step_y + target.bound_y + target.bound_height/2

			velocity.x = 0
			velocity.y = 0

		else

			var
				vector/myPosition = new(x * world.icon_size + step_x, \
										y * world.icon_size + step_y)

				vector/targetPosition = new(target.x * world.icon_size + target.step_x + target.bound_x + target.bound_width/2, \
											target.y * world.icon_size + target.step_y + target.bound_y + target.bound_height/2)


			targetPosition.x = max(minX, min(maxX, targetPosition.x))
			targetPosition.y = max(minY, min(maxY, targetPosition.y))


			var/vector/delta = targetPosition.subtract(myPosition)

			if(delta.vectorLengthSquared() > tweenThreshhold)
				velocity = delta.multiply(tweenSpeed)

			else
				velocity.x = 0
				velocity.y = 0

				step_x += delta.x
				step_y += delta.y

			applyVelocity()