

Actor/Guy
	//he's just a guy.

	icon = 'Guy.dmi'
	density = 0

	Click()
		.=..()
		usr<<('hmmm.wav')

client
	var
		score = 0
		money = 0

		dayNum = 1

		Rod/Rod = new/Rod/Basic
		Line/Line = new/Line/Twine
		Actor/Lure/Lure = new/Actor/Lure/Hook

		longestFish = "None"
		longest = 0

		tmp
			Actor/Guy/guy


			Actor/Lure/hook

			zButton
			xButton

			controlState = 0
			power = 1
			powerRate = 7

			stateTimer

			HUD[0]

			caught[0]

			dayStart
			dayUpdateTimer

			dayLength = 300
			dayTime = 0

			flickTime = 0



	verb
		buttonDown(var/char as text)
			if(char == "Z")
				zButton = 1
			if(char == "X")
				xButton = 1


		buttonUp(var/char as text)
			if(char == "Z")
				zButton = 0
			if(char == "X")
				xButton = 0


	proc
		playMusic()
			var/sound/S = new('Cleyton RX - Underwater.ogg')
			S.repeat = 1
			S.volume = 40
			guy << S

			S = new('amb_stream.ogg')
			S.repeat = 1
			S.volume = 10
			guy << S

		FindGuy()
			guy = locate() in world
			if(!guy)
				world<<"UH FUCK??"
				return

			src.mob = guy

			camera = new(src, mob)
			camera.x = 11
			camera.y = 22

			eye = camera

			updateHUD()
			playMusic()

			dayStart = gameTime

		processControls()
			if(!guy) FindGuy()

			if(!guy) return

			switch(controlState)
				if(0) idleState()
				if(1) powerState()
				if(2) castingState()
				if(3) lureState()
				if(5) pickupState()

			updateTimeOfDay()


		idleState()
			var/obj/O = HUD["zButton"]
			O.maptext = "Cast line"

			O = HUD["xButton"]
			O.maptext = "Cast line"


			if(zButton || xButton)
				zButton = 0
				xButton = 0

				if(dayTime > dayLength)
					genericText("Just about time to call it a day...")

					return

				controlState = 1
				power = rand(0,25)
				powerRate = pick(-powerRate,powerRate)

		powerState() //doing the power timing bar thing

			var/obj/O = HUD["zButton"]
			O.maptext = "POWER"

			O = HUD["xButton"]
			O.maptext = "POWER"


			if(!("powerOuter" in HUD))
				O = new /obj/powerHUD/outer()
				O.loc = src
				O.screen_loc = "CENTER, CENTER"
				O.plane = HUD_PLANE
				screen += O
				HUD["powerOuter"] = O


			if(!("powerBar" in HUD))
				O = new /obj/powerHUD/bar()
				O.loc = src
				O.screen_loc = "CENTER, CENTER:4"
				O.plane = HUD_PLANE
				screen += O
				HUD["powerBar"] = O

			O = HUD["powerBar"]

			guy.icon_state = "power"
			if(power >= 100) powerRate *= -1
			if(power <= 0) powerRate *= -1
			power += powerRate

			power = max(0, min(100, power))

			var/r = min(255, power/75 * 255)
			var/g = 255 * (1 - power/200)
			var/b = 0

			var/matrix/mat = new()
			mat.Scale(1, power/100)
			mat.Translate(0, 64/2 * (power/100) - 64/2)

			O.transform = mat
			O.color = rgb(r,g,b)

			if(zButton || xButton)
				zButton = 0
				xButton = 0

				controlState = 2

				stateTimer = gameTime + 0.6
				guy.icon_state = "fesh"

				flick("cast", guy)

				src << sound('swosh-19.ogg')

		castingState() //throwing the lure
			if(gameTime + 0.3 > stateTimer)
				if(!hook)
					//make the hook
					createHook()

					hook.loc = guy.loc
					hook.step_x = guy.step_x + 27
					hook.step_y = guy.step_y + 70

					hook.velocity.x = -224 * power / 100
					hook.velocity.y = hook.airGravity/2

					activeActors |= hook

					camera.target = hook


			if(gameTime - 2 > stateTimer)
				zButton = 0
				xButton = 0

				controlState = 3

		createHook()
			if(hook) del hook

			/*
			Rod/Rod = new/Rod/Basic
			Line/Line = new/Line/Twine
			Actor/Lure/Lure = new/Actor/Lure/Hook
			*/

			hook = new Lure.type()
			hook.pullAccel = Rod.pullStrength
			hook.pullDelay = Rod.pullDelay
			hook.maxDepth = Line.maxDepth
			hook.endurance = Line.endurance

			var/LineObj/O = new()
			O.parent = hook
			O.guy = guy
			activeActors += O

		clearHUD()
			for(var/i in HUD)
				screen -= HUD[i]
				del HUD[i]

			HUD.Cut()

			for(var/i in screen) del i
			screen.Cut()

		updateHUD()
			var/obj/O

			if(!("score" in HUD))
				O = new /obj/()
				O.loc = src
				O.screen_loc = "WEST + 1, NORTH - 3:4"
				O.plane = HUD_PLANE
				screen += O
				HUD["score"] = O
				O.maptext_width = 256
				O.maptext_height = 128

			if(!("money" in HUD))
				O = new /obj/()
				O.loc = src
				O.screen_loc = "CENTER + 4, NORTH - 1"
				O.plane = HUD_PLANE
				screen += O
				HUD["money"] = O
				O.maptext_width = 128

			if(!("zButton" in HUD))
				O = new /obj/()
				O.loc = src
				O.screen_loc = "CENTER - 9, SOUTH + 1"
				O.plane = HUD_PLANE
				screen += O
				HUD["zButton"] = O

				O.icon = 'HUDbuttons.dmi'
				O.icon_state = "z"
				O.maptext_x = 28
				O.maptext_width = 128

			if(!("xButton" in HUD))
				O = new /obj/()
				O.loc = src
				O.screen_loc = "CENTER + 5, SOUTH + 1"
				O.plane = HUD_PLANE
				screen += O
				HUD["xButton"] = O

				O.icon = 'HUDbuttons.dmi'
				O.icon_state = "x"
				O.maptext_x = 28
				O.maptext_width = 128

			if(!("dayText" in HUD))
				O = new /obj/()
				O.loc = src
				O.screen_loc = "CENTER, NORTH - 1"
				O.plane = HUD_PLANE
				screen += O
				HUD["dayText"] = O

				O.maptext_x = -32
				O.maptext_width = 128

			if(!("endDayButton" in HUD))
				O = new /obj/exitButtonHUD/endDay()
				O.loc = src
				O.screen_loc = "CENTER:-36, SOUTH + 1"
				screen += O
				HUD["endDayButton"] = O

			O = HUD["score"]
			O.maptext = "<b>Score: [src.score]\n\nLongest Fish: [src.longestFish]"

			O = HUD["money"]
			O.maptext = "<b>Money: $[src.money]"

			O = HUD["dayText"]
			O.maptext = "<b><font halign = center>Day: [dayNum] / 7"

		lureState() //controlling the lure to catch a fesh
			del HUD["powerBar"]
			del HUD["powerOuter"]
			HUD -= "powerBar"
			HUD -= "powerOuter"

			var/obj/O = HUD["zButton"]
			O.maptext = "Release Line"

			O = HUD["xButton"]
			O.maptext = "Reel in"


			if(xButton)
				xButton = 0

				hook.pullTowards(guy)
				if(hook && hook.fish)
					flick("reeling", guy)
					flickTime = gameTime + 0.4

				src << sound('reel.ogg',0,0,0,50)


			else if(zButton)
				zButton = 0

				del hook
				camera.target = guy
				controlState = 0

			if(hook) if(guy in obounds(hook, 2))
				controlState = 5

		caughtFishText(fishName, fishLength = 0)
			var/obj/O = new()
			O.maptext_x = -64
			O.maptext_width = 192
			O.maptext_height = 128
			O.maptext = "<font halign=middle>You caught a [fishLength]\" [fishName]!"
			O.screen_loc = "CENTER, NORTH - 4"
			O.plane = HUD_PLANE
			screen += O

			spawn(10)
				var/matrix/m = new()
				m.Translate(0 ,32)

				animate(O, transform = m, alpha = 0, time=10)
				sleep(5)
				del O

		lineSnapText()
			var/obj/O = new()
			O.maptext_x = -64
			O.maptext_width = 192
			O.maptext_height = 128
			O.maptext = "<font color = red halign=middle>Your line snapped!"
			O.screen_loc = "CENTER, NORTH - 4"
			O.plane = HUD_PLANE
			screen += O

			spawn(10)
				var/matrix/m = new()
				m.Translate(0 ,32)

				animate(O, transform = m, alpha = 0, time=10)
				sleep(5)
				del O

		genericText(var/text)
			var/obj/O = new()
			O.maptext_x = -64
			O.maptext_width = 192
			O.maptext_height = 128
			O.maptext = "<font halign=middle>[text]"
			O.screen_loc = "CENTER, NORTH - 4"
			O.plane = HUD_PLANE
			screen += O

			spawn(10)
				var/matrix/m = new()
				m.Translate(0 ,32)

				animate(O, transform = m, alpha = 0, time=10)
				sleep(5)
				del O

		pickupState() //caught feshies
			if(hook)
				var/Actor/Fish/F = hook.fish

				hook.makeSplash()
				del hook

				src << sound('caught.ogg',0,0,0,50)

				if(F)
					caughtFishText(F.name, F.fishLength)

					activeActors -= F

					caught += F
					F.score()

					if(F.fishLength > longest)
						longestFish = "[F.fishLength]\" [F.name]"
						longest = F.fishLength


					var
						vector/fishPosition = new(F.x * world.icon_size + F.step_x, \
												F.y * world.icon_size + F.step_y)

						vector/targetPosition = new(guy.x * world.icon_size + guy.step_x + 40,\
													guy.y * world.icon_size + guy.step_y + 2)

						vector/delta = targetPosition.subtract(fishPosition)

					animate(F, pixel_x = delta.x, pixel_y = delta.y, easing=QUAD_EASING|EASE_OUT, time = 5)
					spawn(5)
						F.loc = guy

				stateTimer = gameTime + 1
				guy.icon_state = "pickup"
				updateHUD()
				camera.target = guy

			else
				camera.target = guy
				if(gameTime > stateTimer)
					guy.icon_state = null
					controlState = 0


		updateTimeOfDay()
			if(gameTime < dayUpdateTimer) return

			dayUpdateTimer = gameTime + 5


			dayTime = gameTime - dayStart
			var/u = 1
			var/v = 0
			var
				r1 = 255
				g1 = 255
				b1 = 255

				r2 = 255
				g2 = 255
				b2 = 255

			if(dayTime > dayLength * 1/3)
				u = (dayTime - dayLength / 3) / (dayLength / 3)

				r1 = 255
				g1 = 255
				b1 = 255

				r2 = 192
				g2 = 128
				b2 = 64

			if(dayTime > dayLength * 2/3)
				u = (dayTime - dayLength * 2 / 3) / (dayLength / 3)

				r1 = 192
				g1 = 128
				b1 = 64

				r2 = 32
				g2 = 32
				b2 = 128

			if(dayTime > dayLength)

				r1 = 32
				g1 = 32
				b1 = 128

				r2 = 32
				g2 = 32
				b2 = 128

			v = 1 - u

			var
				r = u * r2 + v * r1
				g = u * g2 + v * g1
				b = u * b2 + v * b1

			animate(src,color = rgb(r,g,b), time = 50)

		endDay()
			if(controlState != 0) return



			gamePaused = 1

			del HUD["endDayButton"]
			HUD -= "endDayButton"

			//show shop
			var/obj/shopButtonHUD/O = new()
			O.icon = 'Black.dmi'
			O.alpha = 0
			O.plane = HUD_PLANE
			O.layer = 0
			O.screen_loc = "WEST,SOUTH to EAST,NORTH"
			screen += O
			animate(O, alpha = 255, time = 10)
			HUD["fade"] = O


			sleep(10)


			if(locate(/Actor/Fish/Demontooth) in caught) return gameWin()
			if(dayNum == 7) return gameOver()

			showShopHUD()




		startDay()
			dayNum ++
			dayStart = gameTime

			updateTimeOfDay()

			clearHUD()
			updateHUD()

			for(var/Actor/Fish/F)
				if(prob(50)) del F

			world.Repop()

			gamePaused = 0

		showShopHUD()
			var/baseLayer = MOB_LAYER + 20
			var/obj/O

			if(!("upgradeRod" in HUD))
				O = new /obj/shopButtonHUD()
				O.loc = src
				O.screen_loc = "WEST+2, NORTH-8"
				O.icon = 'upgrade.png'
				O.maptext_x = 12
				O.maptext_y = 8
				O.maptext_width = 240
				O.maptext_height = 85
				O:procName = "upgradeRod"
				O.layer = baseLayer
				screen += O
				HUD["upgradeRod"] = O

			if(!("upgradeLine" in HUD))
				O = new /obj/shopButtonHUD()
				O.loc = src
				O.screen_loc = "WEST+2, NORTH-14"
				O.icon = 'upgrade.png'
				O.maptext_x = 12
				O.maptext_y = 8
				O.maptext_width = 240
				O.maptext_height = 85
				O:procName = "upgradeLine"
				O.layer = baseLayer
				screen += O
				HUD["upgradeLine"] = O

			if(!("upgradeLure" in HUD))
				O = new /obj/shopButtonHUD()
				O.loc = src
				O.screen_loc = "WEST+2, NORTH-20"
				O.icon = 'upgrade.png'
				O.maptext_x = 12
				O.maptext_y = 8
				O.maptext_width = 240
				O.maptext_height = 85
				O:procName = "upgradeLure"
				O.layer = baseLayer
				screen += O
				HUD["upgradeLure"] = O

			if(!("shopExit" in HUD))
				O = new /obj/exitButtonHUD()
				O.loc = src
				O.screen_loc = "CENTER-1, NORTH-22"
				O.layer = baseLayer
				screen += O
				HUD["shopExit"] = O

			var/Rod/nextRod = getNextRod(Rod)

			O = HUD["upgradeRod"]
			if(nextRod)
				O.maptext = "<span style=\"vertical-align:middle;text-align:center\">\
					CLICK TO PURCHASE UPGRADE: $[nextRod.cost]\n\
					:Current: \t \t \t \t \t :Next Upgrade:\n\
					[Rod.name] \t \t \t \t \t [nextRod.name]\n\
					Strength:[Rod.pullStrength] \t \t \t \t \t Strength:[nextRod.pullStrength]\n\
					Speed:[1/Rod.pullDelay] \t \t \t \t \t \t Speed:[1/nextRod.pullDelay]"
			else
				O.maptext = "<span style=\"vertical-align:middle;text-align:center\">\
					You already have the best fishing rod!"

			var/Line/nextLine = getNextLine(Line)
			O = HUD["upgradeLine"]
			if(nextLine)
				O.maptext = "<span style=\"vertical-align:middle;text-align:center\">\
					CLICK TO PURCHASE UPGRADE: $[nextLine.cost]\n\
					:Current: \t \t \t \t \t \t :Next Upgrade:\n\
					[Line.name] \t \t \t \t \t \t [nextLine.name]\n\
					Endurance:[Line.endurance] \t \t \t \t \t \t Endurance:[nextLine.endurance]\n\
					Length:[Line.maxDepth] \t \t \t \t \t \t Length:[nextLine.maxDepth]"
			else
				O.maptext = "<span style=\"vertical-align:middle;text-align:center\">\
					You already have the best fishing line!"

			var/Actor/Lure/nextLure = getNextLure(Lure)
			O = HUD["upgradeLure"]
			if(nextLure)
				O.maptext = "<span style=\"vertical-align:middle;text-align:center\">\
					CLICK TO PURCHASE UPGRADE: $[nextLure.cost]\n\
					:Current: \t \t \t \t \t \t :Next Upgrade:\n\
					[Lure.name] \t \t \t \t \t \t [nextLure.name]\n\
					Shiny:[Lure.shiny] \t \t \t \t \t \t Shiny:[nextLure.shiny]\n\
					Stank:[Lure.smelly] \t \t \t \t \t \t Stank:[nextLure.smelly]\n\
					Vibration:[Lure.vibration] \t \t \t \t \t \t Vibration:[nextLure.vibration]"
			else
				O.maptext = "<span style=\"vertical-align:middle;text-align:center\">\
					You already have the best fishing lure!"


		getNextRod(Rod/rod)
			switch(rod.type)
				if(/Rod/Basic)
					return new /Rod/Bamboo()
				if(/Rod/Bamboo)
					return new /Rod/Graphite()
				if(/Rod/Graphite)
					return new /Rod/Carbon()
				if(/Rod/Carbon)
					return null

		getNextLine(Line/line)
			switch(line.type)
				if(/Line/Twine)
					return new /Line/Silk()
				if(/Line/Silk)
					return new /Line/Mono()
				if(/Line/Mono)
					return new /Line/Braid()
				if(/Line/Braid)
					return new /Line/PVC()
				if(/Line/PVC)
					return null

		getNextLure(Actor/Lure/lure)
			switch(lure.type)
				if(/Actor/Lure/Hook)
					return new /Actor/Lure/Bait1()
				if(/Actor/Lure/Bait1)
					return new /Actor/Lure/Steel()
				if(/Actor/Lure/Steel)
					return new /Actor/Lure/Crankbait()
				if(/Actor/Lure/Crankbait)
					return null

		upgradeRod()
			var/Rod/nextRod = getNextRod(Rod)
			if(!nextRod) return

			if(money < nextRod.cost)
				src<<'error.wav'
				return

			del Rod
			Rod = nextRod
			money -= nextRod.cost
			src<<'purchase.wav'
			showShopHUD()

			updateHUD()
			del HUD["endDayButton"]
			HUD -= "endDayButton"

		upgradeLine()
			var/Line/nextLine = getNextLine(Line)
			if(!nextLine) return

			if(money < nextLine.cost)
				src<<'error.wav'

				return

			del Line
			Line = nextLine
			money -= nextLine.cost
			src<<'purchase.wav'
			showShopHUD()

			updateHUD()
			del HUD["endDayButton"]
			HUD -= "endDayButton"

		upgradeLure()
			var/Actor/Lure/nextLure = getNextLure(Lure)
			if(!nextLure) return

			if(money < nextLure.cost)
				src<<'error.wav'

				return

			del Lure
			Lure = nextLure
			money -= nextLure.cost
			src<<'purchase.wav'
			showShopHUD()

			updateHUD()
			del HUD["endDayButton"]
			HUD -= "endDayButton"



		gameOver()
			submitScores()

			for(var/obj/O in screen)
				if(O.icon != 'Black.dmi') del O

			var/obj/O = HUD["fade"]
			O:procName = "RESET"

			var/obj/DialogTextHUD/H = new()
			screen += H
			H.showText("I knew it! I knew this was a waste of time afterall\n\n\
				The damn Deviltooth must not even exist here!\n\n\
				Welp. I guess it's time I get started on something else.\n\n\
				Forget Caviar. Forget seafood. Forget fish!\n\n\
				Maybe I could become a game designer instead...\n\n\n\
				GAME OVER")


		gameWin()
			submitScores()

			for(var/obj/O in screen)
				if(O.icon != 'Black.dmi') del O

			var/obj/O = HUD["fade"]
			O:procName = "RESET"

			var/obj/DialogTextHUD/H = new()
			screen += H
			H.showText("I never doubted myself! Ha! Fishing has always been my true calling!\n\n\
				Caviar here I come! My tongue has missed you so!\n\n\n\
				FIN")

		RESET()
			world.Reboot()

		submitScores()
			spawn(0)
				var/scores = world.GetScores(src.key, "High Score")
				var/stats = list("High Score" = score, "Longest Fish" = longestFish)

				var/list/params = params2list(scores)
				if(!("High Score" in params))
					world.SetScores(src.key, list2params(stats))

				else if(text2num(params["High Score"]) < stats["High Score"])
					world.SetScores(src.key, list2params(stats))



obj
	powerHUD
		plane = HUD_PLANE

		icon = 'PowerHUD.dmi'

		outer
			icon_state = "outer"

		bar
			icon_state = "bar"

	exitButtonHUD
		plane = HUD_PLANE

		icon = 'exit.png'

		Click()
			usr.client.startDay()

		endDay
			icon = 'end day.png'

			Click()
				//animate(src, alpha = 0, time = 5)
				usr.client.endDay()

	shopButtonHUD
		plane = HUD_PLANE
		icon = 'upgrade.png'

		var
			procName

		Click()
			if(!procName) return
			call(usr.client, procName)()